/*******************************************************************************
 * Copyright (c) 2005, 2007 IBM Corporation and others.
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 * 
 * SPDX-License-Identifier: EPL-2.0
 *
 
 *******************************************************************************/
package org.eclipse.dltk.dbgp.breakpoints;

public interface IDbgpBreakpoint {
	final int HIT_CONDITION_GREATER_OR_EQUAL = 0;

	final int HIT_CONDITION_EQUAL = 1;

	final int HIT_CONDITION_MULTIPLE = 2;
	
	final int HIT_NOT_SET = -1;

	String getId();

	boolean isEnabled();

	// -1 if not available
	int getHitCount();

	// -1 if not set
	int getHitValue();

	// -1 if not set
	int getHitCondition();
}
